=== debian/control ===
Source: aplus-fsf
Section: interpreters
Priority: optional
Maintainer: Neil Roeth <neil@debian.org>
Build-Depends: debhelper (>=13.0.0), debhelper-compat (=13), autotools-dev,
 libx11-dev, libxt-dev, dh-buildinfo
Standards-Version: 3.8.3

Package: aplus-fsf-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: xfonts-kapl
Description: A+ programming language documentation
 This package contains the HTML documentation and examples for the A+
 programming language and development environment.  See the package aplus-fsf
 for the run-time environment, and aplus-fsf-dev for the development
 environment.

Package: xfonts-kapl
Section: fonts
Architecture: all
Multi-Arch: foreign
Depends: fontconfig, ${misc:Depends}
Description: APL fonts for A+ development
 The A+ programming language development environment requires these APL fonts
 to properly display A+ code in an XTerm, XEmacs or a web browser.  They are
 not required to run an A+ program.

Package: aplus-fsf-el
Section: lisp
Architecture: all
Depends: emacsen-common (>=2.0.8), ${misc:Depends}
Recommends: xemacs21-nomule
Description: XEmacs lisp for A+ development
 This package contains the XEmacs lisp required for the development of A+
 programs.  It does the key bindings, sets the font properly, and binds some
 function keys. The complete A+ development environment is provided by the
 aplus-fsf-dev package.
 .
 To load A+ from XEmacs, load a file with extension .apl, .a or .+, or
 use the command 'M-x a-mode'.  Or, press F4 to start the A+ interpreter.
 .
 See /usr/share/doc/README.Debian.gz if you have trouble entering the special
 A+ characters in XEmacs. 

Package: aplus-fsf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A+ programming language run-time environment
 A+ is a powerful and efficient programming language. It is freely
 available under the GNU General Public License. It embodies a rich set
 of functions and operators, a modern graphical user interface with
 many widgets and automatic synchronization of widgets and variables,
 asynchronous execution of functions associated with variables and
 events, dynamic loading of user compiled subroutines, and many other
 features. Execution is by a rather efficient interpreter. A+ was
 created at Morgan Stanley. Primarily used in a
 computationally-intensive business environment, many critical
 applications written in A+ have withstood the demands of real world
 developers over many years. Written in an interpreted language, A+
 applications tend to be portable.
 .
 This package contains the binaries and libraries needed to run A+ programs.
 The A+ development environment is provided by the aplus-fsf-dev package.

Package: aplus-fsf-dev
Section: devel
Architecture: any
Depends: aplus-fsf, aplus-fsf-el, aplus-fsf-doc, ${misc:Depends}
Recommends: xfonts-kapl
Description: A+ programming language development environment
 A+ is a powerful and efficient programming language. It is freely
 available under the GNU General Public License. It embodies a rich set
 of functions and operators, a modern graphical user interface with
 many widgets and automatic synchronization of widgets and variables,
 asynchronous execution of functions associated with variables and
 events, dynamic loading of user compiled subroutines, and many other
 features. Execution is by a rather efficient interpreter. A+ was
 created at Morgan Stanley. Primarily used in a
 computationally-intensive business environment, many critical
 applications written in A+ have withstood the demands of real world
 developers over many years. Written in an interpreted language, A+
 applications tend to be portable.
 .
 This is a metapackage that provides a complete A+ development environment.
 The A+ run-time environment is provided by the aplus-fsf package.
